Subject: [Sip] UTF-8 in SIP URIs

From: Sean Olson <[email-masked]>
Date: Wed, 5 Jun 2002 12:00:10 -0700 (PDT)

Just a question for clarification. For escaped
characters in a SIP URI, is it assumed that those
octects represent a UTF-8 encoded character? Or
are other encodings possible?

/sean

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Sean Olson <[email-masked]>
Date: Thu, 6 Jun 2002 15:11:54 -0700 (PDT)

That section of RFC 2396 also states that a URI
scheme can make a scheme-specific decision about
how to handle non-US-ASCII. My question boils down
to whether such a decision has been made for the
sip(s): URI scheme(s). For example, FTP and HTTP
URI schemes both appear to have text surrounding 
this. Eventually I would expect something like
this for SIP. An informational or perhaps BCP 
on how I18N works with SIP.

Thanks!
/sean

--- Jonathan Rosenberg <[email-masked]>
wrote:
> Section 2.1 of rfc 2396 explains why it should in
> theory be possible to 
> use non-ascii, but that there is no way right now,
> and it will be 
> addressed in a revision. Others more clued into
> internationalization 
> issues may have a more up-to-date answer...
> 
> -Jonathan R.
> 
> Sean Olson wrote:
> > Sip mailing list 
> https://www1.ietf.org/mailman/listinfo/sip
> -- 
> Jonathan D. Rosenberg, Ph.D.            72 Eagle
> Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East
> Hanover, NJ 07936
> [email-masked]                 FAX: (973)
> 952-5050
> http://www.jdrosen.net                  PH:  (973)
> 952-5000
> http://www.dynamicsoft.com
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 06 Jun 2002 15:30:01 -0400

Section 2.1 of rfc 2396 explains why it should in theory be possible to 
use non-ascii, but that there is no way right now, and it will be 
addressed in a revision. Others more clued into internationalization 
issues may have a more up-to-date answer...

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 07 Jun 2002 11:45:35 -0400

I don't think the assumption is stated anywhere, but
I always assumed it was US-ASCII. What is the need to
escape any of the non-US-ASCII characters?

I didn't see where in the HTTP spec it talks about this,
though....

-Jonathan R.

Sean Olson wrote:
>>>This list is for NEW development of the core SIP
>>
>>Protocol
>>
>>>Use [email-masked] for questions
>>
>>on current sip
>>
>>>Use [email-masked] for new developments on the
>>
>>application of sip
>>
>>
>>--